statistics-0.10.2.0: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.Uniform

Contents

- Constructors
  - Accessors

Description

Variate distributed uniformly in the interval.

Synopsis

- data UniformDistribution
- uniformDistr :: Double -> Double -> UniformDistribution
- uniformA :: UniformDistribution -> Double
- uniformB :: UniformDistribution -> Double

# Documentation

data UniformDistribution

Uniform distribution from A to B

Instances

Eq UniformDistribution |
Read UniformDistribution |
Show UniformDistribution |
Typeable UniformDistribution |
ContGen UniformDistribution |
Variance UniformDistribution |
MaybeVariance UniformDistribution |
Mean UniformDistribution |
MaybeMean UniformDistribution |
ContDistr UniformDistribution |
Distribution UniformDistribution |

# Constructors

uniformDistr :: Double -> Double -> UniformDistribution

Create uniform distribution.

## Accessors

uniformA :: UniformDistribution -> Double

Low boundary of distribution

uniformB :: UniformDistribution -> Double

Upper boundary of distribution